sc::Backtrack(3)

NAME
sc::Backtrack -

SYNOPSIS

Inherits sc::LineOpt.

  Public Member Functions
Backtrack (const Ref< KeyVal > &)
int update ()
Take a step.

  Protected Attributes
double backtrack_factor_

  Additional Inherited Members

Member Function Documentation

  int sc::Backtrack::update () [virtual]

Take a step. Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

Author

Generated automatically by Doxygen for MPQC from the source code.